petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESGetApplicationContext

Gets the user-defined context for the nonlinear solvers.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetApplicationContext(SNES snes,void *usrP)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

usrP -user context

### Fortran Notes

To use this from Fortran you must write a Fortran interface definition for this function that tells Fortran the Fortran derived data type that you are passing in as the ctx argument.

### See Also

SNESSetApplicationContext()

### Level

intermediate

### Location

src/snes/interface/snes.c

### Examples

src/snes/examples/tutorials/ex58.c.html
src/snes/examples/tutorials/ex5f90.F90.html
src/snes/examples/tutorials/ex5f90t.F90.html
src/snes/examples/tutorials/ex73f90t.F90.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages